LatticeFacade Class Reference
The Facade Module

A facade for operations on lattices. More...

`#include <LatticeFacade.h>`

Inheritance diagram for LatticeFacade:

## Public Member Functions

| LatticeFacade (bool printActions)
void | makeZeroesInLatticeBasis (BigIdeal &basis)

## Additional Inherited Members

Protected Member Functions inherited from Facade
| Facade (bool printActions)
| Constructs a facade that prints out what it is doing if printActions is true.
virtual | ~Facade ()
void | printMessage (const char *message)
| Prints message to standard error if printing is turned on.
void | beginAction (const char *message)
| Prints message to standard error if printing is turned on, and records the time when the action started.
void | endAction ()
| Prints to standard error the time since the last call to beginAction.
bool | isPrintingActions () const
| Returns true if printing actions.

## Detailed Description

A facade for operations on lattices.

Definition at line 27 of file LatticeFacade.h.

## Constructor & Destructor Documentation

## LatticeFacade()

LatticeFacade::LatticeFacade | ( | bool | printActions | ) |

Definition at line 22 of file LatticeFacade.cpp.

## Member Function Documentation

## makeZeroesInLatticeBasis()

void LatticeFacade::makeZeroesInLatticeBasis | ( | BigIdeal & | basis | ) |

Definition at line 26 of file LatticeFacade.cpp.

The documentation for this class was generated from the following files:

- src/LatticeFacade.h
- src/LatticeFacade.cpp